import micro_request from '@/utils/micro_request'

const basePath = process.uniEnv.VUE_APP_ParentPath
export default {
  // 获取省列表
  getProvinceInfo(query) {
    return micro_request.postRequest(basePath, 'District', 'GetProvinceList', query)
  },
  // 获取列表
  getList(query) {
    return micro_request.postRequest(basePath, 'Distributor', 'GetList', query)
  },
  //创建经销商
  doAdd(query) {
    return micro_request.postRequest(basePath, 'Distributor', 'Create', query)
  },
  //修改经销商
  doEdit(query) {
    return micro_request.postRequest(basePath, 'Distributor', 'UpdateById', query)
  },
  // 删除
  doDelete(query) {
    return micro_request.postRequest(basePath, 'Distributor', 'DeleteByIds', query)
  },
  //详情
  getEntity(query) {
    return micro_request.postRequest(basePath, 'Distributor', 'GetEntityById', query)
  },
}
